libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm


Advertisement

Description

libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer - wxWidgets Library Compatibility Virtual Package

Property Value
Distribution openSUSE Leap 15.0
Repository Packman all
Package filename libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm
Package name libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer
Package version 2.8.12
Package release lp150.6.7
Package architecture aarch64
Package type rpm
Category System/Libraries
Homepage http://www.wxwidgets.org/
License GPL-2.0+
Maintainer -
Download size 9.88 KB
Installed size 143 B
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.
API version: 2.8
ABI variant: wx container API with Unicode support

Alternatives

Package Version Architecture Repository
libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm 2.8.12 x86_64 Packman
libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm 2.8.12 armv7hl Packman
libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer - - -

Requires

Name Value
libwx_gtk2u_aui-2_8-0-wxcontainer = 2.8.12
wxWidgets-wxcontainer-compat-lib-config = 2.8.12

Provides

Name Value
libwx_gtk2u_aui-2.8.so.0()(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.1)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.10)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.11)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.12)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.2)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.4)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.5)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.7)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.8)(64bit) -
libwx_gtk2u_aui-2.8.so.0(WXU_2.8.9)(64bit) -
libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer = 2.8.12-lp150.6.7
libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer(aarch-64) = 2.8.12-lp150.6.7

Download

Type URL
Mirror packman.inode.at
Binary Package libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm
Source Package wxWidgets-wxcontainer-2.8.12-lp150.6.7.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.0/ packman
  2. Install libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer rpm package:
    # zypper install libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer

Files

Path
/usr/share/doc/packages/libwx_gtk2u_aui-2_8-0-compat-lib-wxcontainer/virtual-package.README

Changelog

2016-06-18 - i@marguerite.su
- add patch: wxWidgets-2.8.12-gcc6.patch
* fix FTBFS: gcc6 narrowing conversion from int to char inside {}
* original patch from <dan@danny.cz> for fedora project
2014-07-31 - dimstar@opensuse.org
- Rename rpmlintrc to %{name}-rpmlintrc.
Follow the packaging guidelines.
2014-04-04 - seiler@b1-systems.de
- removed unneeded 32bit packages (*-compat-lib*) which has no libraries
2014-02-17 - seiler@b1-systems.de
- added baselibs.conf to add *-32bit packages
2013-08-22 - jengelh@inai.de
- Use %_smp_mflags for parallel build and better make install call.
2013-05-30 - sbrabec@suse.cz
- Add libXinerama-devel to BuildRequires (bnc#820016).
2013-04-29 - mhrusecky@suse.com
- add libXt-devel buildrequires to fix Factory build
2013-03-24 - jengelh@inai.de
- Update dependencies for wxWidgets-devel: Mesa no longer bundles GL
2012-10-24 - sbrabec@suse.cz
- Add "API version" in %description.
2012-09-20 - coolo@suse.com
- add explicit buildrequire on pkgconfig(glu)

See Also

Package Description
libwx_gtk2u_aui-2_8-0-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library
libwx_gtk2u_aui-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library
libwx_gtk2u_aui-2_8-0-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library
libwx_gtk2u_aui-2_8-0-wxcontainer-64bit-2.8.12-lp150.6.7.aarch64_ilp32.rpm wxWidgets Library
libwx_gtk2u_core-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library Compatibility Virtual Package
libwx_gtk2u_core-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library Compatibility Virtual Package
libwx_gtk2u_core-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library Compatibility Virtual Package
libwx_gtk2u_core-2_8-0-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library
libwx_gtk2u_core-2_8-0-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library
libwx_gtk2u_core-2_8-0-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library
libwx_gtk2u_core-2_8-0-wxcontainer-64bit-2.8.12-lp150.6.7.aarch64_ilp32.rpm wxWidgets Library
libwx_gtk2u_fl-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library Compatibility Virtual Package
libwx_gtk2u_fl-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.aarch64.rpm wxWidgets Library Compatibility Virtual Package
libwx_gtk2u_fl-2_8-0-compat-lib-wxcontainer-2.8.12-lp150.6.7.armv7hl.rpm wxWidgets Library Compatibility Virtual Package
libwx_gtk2u_fl-2_8-0-wxcontainer-2.8.12-lp150.6.16.x86_64.rpm wxWidgets Library
Advertisement
Advertisement